
ChiliProject - Bug # 357: Wrap long text fields properly in PDF exports

Status: Closed Priority: Normal
Author: Hugo Ferreira Category:
Created: 2011-04-29 Assignee: Eric Davis
Updated: 2011-05-20 Due date:
Remote issue URL: http://www.redmine.org/issues/5629
Affected version: 1.1.0
Description: Quoting "Redmine issue #5629":http://www.redmine.org/issues/5629:

> This patch fixes wrapping problems with text fields (subject and custom text and long text fields) when 
generating a PDF.

Created it almost 1 year ago, it still hasn't seen the light of dayâ€¦ I'll rebuild it again in ChiliProject to see if it 
gets a better change over here. :)

_PS: I regularly use the PDF export to send status update reports to clients._

Associated revisions
2011-04-29 05:20 pm - Hugo Ferreira 
[#357] Wrap long text fields properly in PDF exports

History
2011-04-29 03:30 pm - Hugo Ferreira
- File export-before.pdf added

- File export-after.pdf added

- File sandbox-94-before.pdf added

- Assignee deleted (Hugo Ferreira)

- File sandbox-94-after.pdf added

Sent in the pull request from GitHub: https://github.com/chiliproject/chiliproject/pull/43

2011-04-29 03:31 pm - Hugo Ferreira
- Status changed from Open to Ready for review

2011-05-07 10:47 pm - Muntek Singh
- Assignee set to Eric Davis

2011-05-20 06:43 pm - Eric Davis
This looks good to me, going to merge it in a minute. The only downside is the issues list PDF export is done to an A4 paper size.

2011-05-20 06:55 pm - Eric Davis
- Target version set to 1.4.0

- (deleted custom field) set to 1.1.0

- Status changed from Ready for review to Closed
Merged into master (commit:a74517b). Thanks for the patch, PDF exports are a lot more useful now.

Files
export-before.pdf 2.4 kB 2011-04-29 Hugo Ferreira
export-after.pdf 3.8 kB 2011-04-29 Hugo Ferreira
sandbox-94-before.pdf 2.3 kB 2011-04-29 Hugo Ferreira
sandbox-94-after.pdf 2.3 kB 2011-04-29 Hugo Ferreira
